# CMxArray<T> Class

Namespace: `ArchestrA.Toolkit`

CMxArray is derived from CMxArrayBase. It is a template class that can be implemented for each type to be supported to provide type safe data access.

**Syntax**

```csharp
public abstract class CMxArray<T> : CMxArrayBase
```

## CMxArray<T> Constructor

### CMxArray

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxArray(SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.
